List bills

GET

GET https://external-api.lia.com.br/external_api/v1/bills

Body params

NameDescriptionRequiredType
billing_idFilter by bill’s billing idfalseString
statusFilter by bill’s status: pending, paid, canceled or overduefalseString
due_date_startFilter by bill’s due date greater than or equal to (YYYY-MM-DD)falseString
due_date_endFilter by bill’s due date lesser than or equal to (YYYY-MM-DD)falseString
paid_at_startFilter by bill’s payment date greater than or equal to (YYYY-MM-DD)falseString
paid_at_endFilter by bill’s payment date lesser than or equal to (YYYY-MM-DD)falseString
pageNumber of the page you wantfalseInteger
per_pageTotal items per page, max 1000 items per pagefalseInteger

Example request

curl --location 'https://external-api-sandbox.lia.com.br/external_api/v1/bills?status=paid&page=1&per_page=2' \
--header 'Authorization: Bearer token'

Example response

{
  "results": [
    {
      "amount_cents": 3591,
      "authentication_code": "00000000000000000000000000000001",
      "bill_type": "down_payment",
      "billing": {
        "amount_cents": 31807,
        "amount_currency": "BRL",
        "cancelation_reason": null,
        "created_at": "2023-09-05T18:33:30.770-03:00",
        "due_day": 20,
        "finished_at": null,
        "id": "a7e42b56-fdad-5470-99aa-5ffc865590a4",
        "installments": 3,
        "order_id": "ec92bc06-ea9c-597e-be99-45e300280d24",
        "origin_billing_id": null,
        "status": "active",
        "updated_at": "2024-07-19T17:00:25.389-03:00"
      },
      "checkout_url": "https://pague-sandbox.lia.com.br/parcela/pagamento?bill_id=eed44d22-5cf7-5487-b1c9-2d638a824999",
      "created_at": "2023-09-05T18:33:30.782-03:00",
      "current_amount_cents": 3591,
      "disable_penalties_until": null,
      "due_date": "2023-09-07T23:59:59.999-03:00",
      "effective_due_date": "2023-09-08T23:59:59.999-03:00",
      "id": "eed44d22-5cf7-5487-b1c9-2d638a824999",
      "original_amount_cents": 3591,
      "paid_at": "2023-09-05T18:33:31.706-03:00",
      "payments": [
        {
          "amount_cents": 3591,
          "barcode": null,
          "barcode_image_url": null,
          "bill_id": "eed44d22-5cf7-5487-b1c9-2d638a824999",
          "created_at": "2023-09-05T18:33:31.626-03:00",
          "expires_at": "2023-09-07T23:59:59.999-03:00",
          "id": "b0ef4a82-1b4b-58dd-91f9-d29ae1d7f469",
          "installments": 1,
          "paid_amount_cents": 3591,
          "paid_at": "2023-09-05T18:33:31.637-03:00",
          "payment_method": "credit_card",
          "refunded_amount_cents": 0,
          "refunded_at": null,
          "refused_reason": null,
          "refused_reason_description": null,
          "status": "paid",
          "url": "https://pague-sandbox.lia.com.br/parcela/pagamento?bill_id=eed44d22-5cf7-5487-b1c9-2d638a824999"
        }
      ],
      "bill_details": [
        {
          "id": "54337ef6-b3a1-5535-b917-0e0bc319b1c1",
          "detail_type": "amortization",
          "amount_cents": 3000,
          "installment": 1,
          "created_at": "2023-09-05T18:33:30.782-03:00"
        },
        {
          "id": "1bf3fbd4-4a33-56e2-8e4e-49fc6db4f148",
          "detail_type": "financing_interest",
          "amount_cents": 591,
          "installment": 1,
          "created_at": "2023-09-05T18:33:30.782-03:00"
        }
      ],
      "metadata": {},
      "status": "paid",
      "updated_at": "2023-09-05T18:33:31.736-03:00"
    },
    {
      "amount_cents": 452645,
      "authentication_code": "00000000000000000000000000000001",
      "bill_type": "installment",
      "billing": {
        "amount_cents": 452645,
        "amount_currency": "BRL",
        "cancelation_reason": null,
        "created_at": "2023-08-24T20:56:05.347-03:00",
        "due_day": 10,
        "finished_at": "2023-08-24T20:56:06.244-03:00",
        "id": "6cb6e0e6-ad2a-5608-badf-93ed20626614",
        "installments": 1,
        "order_id": "f3ac4ab7-6568-580f-bc00-a83bf70a1be3",
        "origin_billing_id": null,
        "status": "finished",
        "updated_at": "2024-07-19T17:00:03.842-03:00"
      },
      "checkout_url": "https://pague-sandbox.lia.com.br/parcela/pagamento?bill_id=a5da4230-e9b9-5301-ba5c-e9748642f592",
      "created_at": "2023-08-24T20:56:05.355-03:00",
      "current_amount_cents": 452645,
      "disable_penalties_until": null,
      "due_date": "2023-08-27T20:56:05.350-03:00",
      "effective_due_date": "2023-08-28T20:56:05.350-03:00",
      "id": "a5da4230-e9b9-5301-ba5c-e9748642f592",
      "original_amount_cents": 452645,
      "paid_at": "2023-08-24T20:56:06.168-03:00",
      "payments": [
        {
          "amount_cents": 452645,
          "barcode": null,
          "barcode_image_url": null,
          "bill_id": "a5da4230-e9b9-5301-ba5c-e9748642f592",
          "created_at": "2023-08-24T20:56:06.092-03:00",
          "expires_at": "2023-08-27T20:56:05.350-03:00",
          "id": "774ce3e2-7e85-5de1-8b7d-c766db504b51",
          "installments": 5,
          "paid_amount_cents": 452645,
          "paid_at": "2023-08-24T20:56:06.124-03:00",
          "payment_method": "credit_card",
          "refunded_amount_cents": 0,
          "refunded_at": null,
          "refused_reason": null,
          "refused_reason_description": null,
          "status": "paid",
          "url": "https://pague-sandbox.lia.com.br/parcela/pagamento?bill_id=a5da4230-e9b9-5301-ba5c-e9748642f592"
        }
      ],
      "bill_details": [
        {
          "id": "c307b28f-3e1d-5249-b7ca-906a70dccbf5",
          "detail_type": "amortization",
          "amount_cents": 452645,
          "installment": 1,
          "created_at": "2023-08-24T20:56:05.355-03:00"
        }
      ],
      "metadata": {},
      "status": "paid",
      "updated_at": "2023-08-24T20:56:06.181-03:00"
    }
  ],
  "total_items": 1231,
  "total_pages": 616
}